import { FlagsConfig } from '@salesforce/command';
import { RetrieveResult } from '@salesforce/source-deploy-retrieve';
import { SourceCommand } from '../../../sourceCommand';
import { RetrieveCommandAsyncResult, RetrieveCommandResult } from '../../../formatters/mdapi/retrieveResultFormatter';
export declare class Retrieve extends SourceCommand {
    static aliases: string[];
    static readonly description: string;
    static readonly examples: string[];
    static readonly requiresUsername = true;
    static readonly flagsConfig: FlagsConfig;
    protected retrieveResult: RetrieveResult;
    private sourceDir;
    private retrieveTargetDir;
    private zipFileName;
    private unzip;
    private wait;
    private isAsync;
    private mdapiRetrieve;
    run(): Promise<RetrieveCommandResult | RetrieveCommandAsyncResult>;
    protected retrieve(): Promise<void>;
    protected resolveSuccess(): void;
    protected formatResult(): RetrieveCommandResult | RetrieveCommandAsyncResult;
    private resolveProjectPath;
    private resolveRootDir;
    private resolveOutputDir;
    private resolveManifest;
}
