import { FlagsConfig } from '@salesforce/command';
import { MetadataApiRetrieveStatus, RetrieveResult } from '@salesforce/source-deploy-retrieve';
import { SourceCommand } from '../../../../sourceCommand';
import { RetrieveCommandResult, RetrieveCommandAsyncResult } from '../../../../formatters/mdapi/retrieveResultFormatter';
export declare class Report extends SourceCommand {
    static aliases: string[];
    static readonly description: string;
    static readonly examples: string[];
    static readonly requiresUsername = true;
    static readonly flagsConfig: FlagsConfig;
    protected retrieveResult: RetrieveResult;
    protected retrieveStatus: MetadataApiRetrieveStatus;
    private retrieveTargetDir;
    private zipFileName;
    private unzip;
    private wait;
    private isAsync;
    private mdapiRetrieve;
    run(): Promise<RetrieveCommandResult | RetrieveCommandAsyncResult>;
    protected report(): Promise<void>;
    protected resolveSuccess(): void;
    protected formatResult(): RetrieveCommandResult | RetrieveCommandAsyncResult;
    private resolveOutputDir;
}
