import { FlagsConfig } from '@salesforce/command';
import { SourceTracking } from '@salesforce/source-tracking';
import { DeployCommand } from '../../../deployCommand';
import { DeployCommandResult } from '../../../formatters/deployResultFormatter';
import { DeployCommandAsyncResult } from '../../../formatters/source/deployAsyncResultFormatter';
export declare class Deploy extends DeployCommand {
    static readonly description: string;
    static readonly examples: string[];
    static readonly requiresProject = true;
    static readonly requiresUsername = true;
    static readonly flagsConfig: FlagsConfig;
    protected readonly lifecycleEventNames: string[];
    protected tracking: SourceTracking;
    run(): Promise<DeployCommandResult | DeployCommandAsyncResult>;
    protected preChecks(): Promise<void>;
    protected deploy(): Promise<void>;
    protected formatResult(): DeployCommandResult | DeployCommandAsyncResult;
    private maybeUpdateTracking;
}
