import { FlagsConfig } from '@salesforce/command';
import { RetrieveResult } from '@salesforce/source-deploy-retrieve';
import { SourceTracking } from '@salesforce/source-tracking';
import { SourceCommand } from '../../../sourceCommand';
import { RetrieveCommandResult } from '../../../formatters/retrieveResultFormatter';
export declare class Retrieve extends SourceCommand {
    static readonly description: string;
    static readonly examples: string[];
    static readonly requiresProject = true;
    static readonly requiresUsername = true;
    static readonly flagsConfig: FlagsConfig;
    protected readonly lifecycleEventNames: string[];
    protected retrieveResult: RetrieveResult;
    protected tracking: SourceTracking;
    private resolvedTargetDir;
    private registry;
    run(): Promise<RetrieveCommandResult>;
    protected preChecks(): Promise<void>;
    protected retrieve(): Promise<void>;
    protected resolveSuccess(): void;
    protected formatResult(): Promise<RetrieveCommandResult>;
    private maybeUpdateTracking;
    private wantsToRetrieveCustomFields;
    private moveResultsForRetrieveTargetDir;
    private overlapsPackage;
}
