import { Logger, Messages } from '@salesforce/core';
import { MetadataApiRetrieveStatus, RequestStatus, RetrieveMessage, RetrieveResult } from '@salesforce/source-deploy-retrieve';
import { UX } from '@salesforce/command';
import { ResultFormatter, ResultFormatterOptions } from './resultFormatter';
export declare abstract class RetrieveFormatter extends ResultFormatter {
    options: ResultFormatterOptions;
    protected warnings: RetrieveMessage[];
    protected result: MetadataApiRetrieveStatus;
    protected messages: Messages<string>;
    constructor(logger: Logger, ux: UX, options: ResultFormatterOptions, result: RetrieveResult);
    protected hasStatus(status: RequestStatus): boolean;
    protected displayWarnings(): void;
    protected displayErrors(): void;
}
