import { UX } from '@salesforce/command';
import { Logger } from '@salesforce/core';
import { ResultFormatter, ResultFormatterOptions } from '../resultFormatter';
type StatusActualState = 'Deleted' | 'Add' | 'Changed' | 'Unchanged';
type StatusOrigin = 'Local' | 'Remote';
type StatusStateString = `${StatusOrigin} ${StatusActualState}` | `${StatusOrigin} ${StatusActualState} (Conflict)`;
export interface StatusResult {
    state: StatusStateString;
    fullName: string;
    type: string;
    filePath?: string;
    ignored?: boolean;
    conflict?: boolean;
    actualState?: StatusActualState;
    origin: StatusOrigin;
}
export declare class StatusFormatter extends ResultFormatter {
    private statusRows;
    constructor(logger: Logger, ux: UX, options: ResultFormatterOptions, statusRows: StatusResult[]);
    getJson(): StatusResult[];
    display(): void;
}
export {};
